Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class ContentHeaderPropertyWriter

    java.lang.Object
      com.rabbitmq.client.impl.ContentHeaderPropertyWriter

    public class ContentHeaderPropertyWriter

extends java.lang.Object

Generates an AMQP wire-protocol packet from a `ContentHeader`. Methods on this object are usually called from autogenerated code.

Field Summary
`int` | `bitCount` Position within current flags word
`int` | `flagWord` Current flags word being accumulated

Constructor Summary
`ContentHeaderPropertyWriter(java.io.DataOutputStream out)` Constructs a fresh ContentHeaderPropertyWriter.

Method Summary
`void` | `finishPresence()`
`void` | `writeLong(java.lang.Integer l)`
`void` | `writeLonglong(java.lang.Long ll)`
`void` | `writeLongstr(LongString str)`
`void` | `writeLongstr(java.lang.String str)`
`void` | `writeOctet(int octet)`
`void` | `writeOctet(java.lang.Integer octet)`
`void` | `writePresence(boolean present)`
`void` | `writeShort(java.lang.Integer s)`
`void` | `writeShortstr(java.lang.String str)`
`void` | `writeTable(java.util.Map<java.lang.String,java.lang.Object> table)`
`void` | `writeTimestamp(java.util.Date timestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flagWord

    public int flagWord

  Current flags word being accumulated

### bitCount

    public int bitCount

  Position within current flags word

Constructor Detail

### ContentHeaderPropertyWriter

    public ContentHeaderPropertyWriter(java.io.DataOutputStream out)

  Constructs a fresh ContentHeaderPropertyWriter.

Method Detail

### writePresence

    public void writePresence(boolean present)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishPresence

    public void finishPresence()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShortstr

    public void writeShortstr(java.lang.String str)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLongstr

    public void writeLongstr(java.lang.String str)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLongstr

    public void writeLongstr(LongString str)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(java.lang.Integer s)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(java.lang.Integer l)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLonglong

    public void writeLonglong(java.lang.Long ll)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTable

    public void writeTable(java.util.Map<java.lang.String,java.lang.Object> table)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOctet

    public void writeOctet(java.lang.Integer octet)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOctet

    public void writeOctet(int octet)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTimestamp

    public void writeTimestamp(java.util.Date timestamp)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD